<?php
/**********************************************************************************
* Subs-Announcements..php                                                         *
***********************************************************************************
*                                                                                 *
* YAGAM - Yet Another Global Announcements Mod v2.7.3                             *
* Copyright (c) 2008'2010 by NIBOGO. All rights reserved.                         *
* Powered by www.smfpacks.com                                                     *
* Created by NIBOGO for SMFPacks.com & SimpleMachines.org                         *
*                                                                                 *
**********************************************************************************/

function announcement_boards()
{
	global $smcFunc, $context, $user_info;
	
	// Find the boards/cateogories they can see.
	$request = $smcFunc['db_query']('', "
		SELECT c.name AS cat_name, c.id_cat, b.id_board, b.name AS board_name, b.child_level
		FROM {db_prefix}boards AS b
			LEFT JOIN {db_prefix}categories AS c ON (c.id_cat = b.id_cat)
		WHERE $user_info[query_see_board]"
		);
		
	$context['jump_to'] = array();
	$this_cat = array('id' => -1);
	while ($row = $smcFunc['db_fetch_assoc']($request))
	{
		if ($this_cat['id'] != $row['id_cat'])
		{
			$this_cat = &$context['jump_to'][];
			$this_cat['id'] = $row['id_cat'];
			$this_cat['name'] = $row['cat_name'];
			$this_cat['boards'] = array();
		}

		$this_cat['boards'][] = array(
			'id' => $row['id_board'],
			'name' => $row['board_name'],
			'child_level' => $row['child_level'],
			'is_current' => isset($context['current_board']) && $row['id_board'] == $context['current_board']
		);
	}
	$smcFunc['db_free_result']($request);
}							

function announcements_logs()
{
   global $context, $scripturl, $smcFunc, $txt;

   // We need an id
   if (empty($_REQUEST['aid']))
		fatal_lang_error('announcement_no_selected', false);

   // Get the id
   $announcementID = (int) $_REQUEST['aid'];

   // You aren't admin?? Please you can`t be here
    if (!allowedTo('yagam_manage'))
	  fatal_lang_error('yagam_no_permission', false);
   
   // Load a title
   $context['page_title'] = $txt['yagam_log'];
   $context['sub_template'] = 'announcements_log';	
   
   // Start Everything - Thanks to Blue Dream for the Idea on Tips and Tricks Boartd
   $request = $smcFunc['db_query']('', '
      SELECT
         al.id_member, al.id_announcement, mem.real_name, mem.id_group, memg.group_name, mem.posts
      FROM {db_prefix}announcements_log AS al
         LEFT JOIN {db_prefix}members AS mem ON (mem.id_member = al.id_member)
		 LEFT JOIN {db_prefix}membergroups AS memg ON (mem.id_member = memg.id_group)	        
      WHERE al.id_announcement = {int:announcement_id}',
	    array(
		'announcement_id' => $announcementID,
		)
	); 

   if ($smcFunc['db_num_rows']($request) == 0)
		fatal_lang_error('yagam_not_exist', false);
  
   while ($row = $smcFunc['db_fetch_assoc']($request))
   {
      // Build the array.
      $context['viewer'][] = array(
         'member' => array(
            'id' => $row['id_member'],
            'name' => $row['real_name'],
            'link' => '<a href="' . $scripturl . '?action=profile;u=' . $row['id_member'] . '">' . $row['real_name'] . '</a>',
            'href' => $scripturl . '?action=profile;u=' . $row['id_member'],
			'group' => $row['group_name'],
            'posts' => $row['posts'],        	
         ),		
      );
   }
   $smcFunc['db_free_result']($request);  
   
   // Show me the Announcement Title   
    $dbresult = $smcFunc['db_query']('', '
	SELECT 
		id_announcement, title
	FROM {db_prefix}announcements	
	WHERE id_announcement = {int:announcement_id}',
	    array(
		'announcement_id' => $announcementID,
		)
	);
    
	$context['announcements'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	$context['announcements']['title'] = $row['title'];
	$smcFunc['db_free_result']($dbresult); 
   
   //Add the Linktree   
   $context['linktree'][] = array(		
		'name' => $context['announcements']['title'],
		'url' => $scripturl.'?action=announcement;aid=' . $announcementID,
    ); 
   $context['linktree'][] = array(		
		'name' => $txt['yagam_log'],
		'url' => $scripturl.'?action=announcements;sa=log;aid=' . $announcementID,
    );	  
}
?>