<?php
/**********************************************************************************
* Announcements.template.php                                                      *
***********************************************************************************
*                                                                                 *
* YAGAM - Yet Another Global Announcements Mod v2.7.3                             *
* Copyright (c) 2008-2010 by SMFPacks.com. All rights reserved.                   *
* Powered by www.smfpacks.com                                                     *
* Created by NIBOGO for SMFPacks.com & SimpleMachines.org                         *
*                                                                                 *
**********************************************************************************/

function template_announcements_add()
{
	global $context, $txt, $scripturl, $settings;
	
	if ((!empty($context['preview_title'])) || (!empty($context['content'])))
	echo '
	<div id="preview_section"', isset($context['preview_details']) ? '' : ' style="display: none;"', '>
		<table border="0" width="100%" cellspacing="1" cellpadding="3" class="bordercolor" align="center" style="table-layout: fixed;">
			<tr class="catbg">
				<td id="preview_subject">', empty($context['preview_title']) ? '' : $context['preview_title'], '</td>
			</tr>
			<tr class="windowbg2">
				<td class="post" width="100%" id="preview_body">
					', empty($context['content']) ? '' : parse_bbc($context['content']), '
				</td>
			</tr>
		</table><br />
	</div>';
	
	echo '
	<form method="post" name="addga" id="addga" action="', $scripturl, '?action=announcements;sa=addverify" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
		<h3 class="catbg"><span class="left"></span><span class="right"></span> '.$txt['yagam_options'].'</h3>
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="windowbg2">
				<td><b>'.$txt['yagam_enable'].':</b></td>
				<td><input type="checkbox" name="enable" value="1" /></td>
			</tr>
			<tr class="windowbg">
			<td width="15%"><b>'.$txt['yagam_boards'].':</b></td>
			<td width="85%">
			<select name="boards[]" size="15" multiple="multiple" style="width: 55%;">
									<option value="0">'.$txt['yagam_all'].'</option>';
							foreach ($context['jump_to'] as $category)
							{
								echo '
									<option disabled="disabled">----------------------------------------------------</option>
									<option disabled="disabled">', $category['name'], '</option>
									<option disabled="disabled">----------------------------------------------------</option>';
								foreach ($category['boards'] as $board)
									echo '
									<option value="' ,$board['id'], '" ' ,isset($context['preview_boards']) ? (in_array($board['id'], $context['preview_boards']) ? 'selected="selected"' : '') : '', '> ' . str_repeat('&nbsp;&nbsp;&nbsp; ', $board['child_level']) . '|--- ' . $board['name'] . '</option>';
							}
	echo '
								</select>
			</td></tr>
			<tr class="windowbg2">
	    <td width="15%"><b>', $txt['yagam_permissions'],':</b></td>
	    <td width="85%">        
	    <input type="checkbox" name="groups[-1]" value="-1" />',$txt['membergroups_guests'],'<br />
	    <input type="checkbox" name="groups[0]" value="0" />', $txt['membergroups_members'],'<br />';
	
		foreach ($context['groups'] as $group)
				echo '<input type="checkbox" name="groups[', $group['id_group'], ']" value="', $group['id_group'], '" />', $group['group_name'], '<br />';
		
        echo'<input id="check_all" class="input_check" type="checkbox" onclick="invertAll(this, this.form, \'groups\');" value="" name="all"/>'.$txt['check_all'].'
	    </td>
	  </tr><tr class="windowbg">
				<td width="15%"><b>'.$txt['yagam_can_comment'].'</b></td>
				<td width="85%"><input type="checkbox" name="can_comment" value="1" /></td></tr> 
	  </table><br class="clear" />';

	 echo'<h3 class="catbg"><span class="left"></span><span class="right"></span> '.$txt['yagam_add'].'</h3>
	 <table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="windowbg2">
				<td width="15%"><b>'.$txt['yagam_title'].':</b></td>
				<td width="85%"><input type="text" name="announcementtitle" size="100" value="',empty($context['preview_title']) ? '' : $context['preview_title'],'" /></td>
			</tr>
			<tr class="windowbg">				
	    <td width="15%"><b>', $txt['yagam_content'],':</b></td>
	    <td width="85%">';
		
		// Showing BBC?
		if ($context['show_bbc'])
		{
			echo '
					<div id="bbcBox_message"></div>';
		}
	
		// What about smileys?
		if (!empty($context['smileys']['postform']) || !empty($context['smileys']['popup']))
			echo '
					<div id="smileyBox_message"></div>';
	
		// Show BBC buttons, smileys and textbox.
		echo '
					', template_control_richedit($context['post_box_name'], 'smileyBox_message', 'bbcBox_message');

		
		echo '</td></tr></table><br class="clear" />
		<div align="center"><input type="hidden" name="sc" value="', $context['session_id'], '" />';
		
		echo template_control_richedit_buttons($context['post_box_name']), '</div></form>';
}

function template_announcement_edit()
{
	global $context, $txt, $scripturl, $board_info, $board, $selected_boards;
	
	if ((!empty($context['preview_title'])) || (!empty($context['content'])))
	echo '
	<div id="preview_section"', isset($context['preview_details']) ? '' : ' style="display: none;"', '>
		<table border="0" width="100%" cellspacing="1" cellpadding="3" class="bordercolor" align="center" style="table-layout: fixed;">
			<tr class="catbg">
				<td id="preview_subject">', empty($context['preview_title']) ? '' : $context['preview_title'], '</td>
			</tr>
			<tr class="windowbg2">
				<td class="post" width="100%" id="preview_body">
					', empty($context['content']) ? '' : parse_bbc($context['content']), '
				</td>
			</tr>
		</table><br />
	</div>';
	
	echo ' 
	<form method="post" name="editga" id="editga" action="', $scripturl, '?action=announcements;sa=editverify;aid='.$_REQUEST['aid'].'" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
	<h3 class="catbg"><span class="left"></span><span class="right"></span> '.$txt['yagam_edit'].'</h3>	    
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">				
			<tr class="windowbg2">
				<td width="15%"><b>'.$txt['yagam_title'].':</b></td>
				<td width="85%"><input type="text" name="announcementtitle" size="100" value="',(!empty($context['preview_title'])) ? $context['preview_title'] : $context['announcement_edit_info']['title'], '" /></td>
			</tr>
			<tr class="windowbg">				
	    <td width="15%"><b>', $txt['yagam_content'],':</b></td>
	    <td width="85%">';
    // Showing BBC?
		if ($context['show_bbc'])
		{
			echo '
					<div id="bbcBox_message"></div>';
		}
	
		// What about smileys?
		if (!empty($context['smileys']['postform']) || !empty($context['smileys']['popup']))
			echo '
					<div id="smileyBox_message"></div>';
	
		// Show BBC buttons, smileys and textbox.
		echo '
					', template_control_richedit($context['post_box_name'], 'smileyBox_message', 'bbcBox_message');
			echo'</td>
	  </tr>	
		</table><br class="clear" />
		<div align="center"><input type="hidden" name="sc" value="', $context['session_id'], '" />	
	    <input type="hidden" name="p" value="', $context['announcement_edit_info']['id_announcement'],'" />
	   ', template_control_richedit_buttons($context['post_box_name']), '</div><br class="clear" />
		
		<h3 class="catbg"><span class="left"></span><span class="right"></span> '.$txt['yagam_options'].'</h3>
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="windowbg2">
				<td width="15%"><b>'.$txt['yagam_enable'].':</b></td>
				<td width="85%"><input type="checkbox" name="enable" value="1" ' ,$context['announcement_edit_info']['enable'] == 1 ? 'checked="checked"' : '', '/></td>
			</tr>
			<tr class="windowbg">
			<td width="15%"><b>'.$txt['yagam_boards'].':</b></td>
			<td width="85%">
			<select name="boards[]" size="15" multiple="multiple" style="width: 55%;">
									<option value="0" ' ,($context['announcement_edit_info']['id_boards'] == '0') ? 'selected="selected"' : '', '>' .$txt['yagam_all']. '</option>';
							foreach ($context['jump_to'] as $category)
							{
								echo '
									<option disabled="disabled">----------------------------------------------------</option>
									<option disabled="disabled">', $category['name'], '</option>
									<option disabled="disabled">----------------------------------------------------</option>';
								foreach ($category['boards'] as $board)
									echo '
									z<option value="' ,$board['id'], '" ' ,(isset($selected_boards[$board['id']])) ? 'selected="selected"' : '', ' > ' . str_repeat('&nbsp;&nbsp;&nbsp; ', $board['child_level']) . '|--- ' . $board['name'] . '</option>';
							}
	echo '
								</select>
			</td></tr>
		<tr class="windowbg2">
	        <td width="15%"><b>', $txt['yagam_permissions'],':</b>&nbsp;</td>
	        <td width="85%">';
	
		$permissionsGroups = explode(',',$context['announcement_edit_info']['permissions']);
	
		echo '
	    <input type="checkbox" name="groups[-1]" value="-1" ', ((in_array(-1,$permissionsGroups) == true) ? ' checked="checked" ' : ''), ' />',$txt['membergroups_guests'],'<br />
	    <input type="checkbox" name="groups[0]" value="0" ', ((in_array(0,$permissionsGroups) == true) ? ' checked="checked" ' : ''), ' />',$txt['membergroups_members'],'<br />';
	
		foreach ($context['groups'] as $group)
				echo '<input type="checkbox" name="groups[', $group['id_group'], ']" value="', $group['id_group'], '" ', ((in_array($group['id_group'],$permissionsGroups) == true) ? ' checked="checked" ' : ''), ' />', $group['group_name'], '<br />';
							
	echo '<input id="check_all" class="input_check" type="checkbox" onclick="invertAll(this, this.form, \'groups\');" value="" name="all"/>'.$txt['check_all'].'    
	    </td>
	  </tr>
	   <tr class="windowbg">
				<td width="15%"><b>'.$txt['yagam_can_comment'].'</b></td>
				<td width="85%"><input type="checkbox" name="can_comment" value="1" ' ,$context['announcement_edit_info']['can_comment'] == 1 ? 'checked="checked"' : '', '/></td></tr></table><br class="clear" />
		<div align="center"><input type="hidden" name="sc" value="', $context['session_id'], '" />	
	    <input type="hidden" name="p" value="', $context['announcement_edit_info']['id_announcement'],'" />
	   ', template_control_richedit_buttons($context['post_box_name']), '</div>
		</form>';
           
}

function template_edit_comment()
{
	global $context, $scripturl, $txt, $settings, $modSettings;

		echo '
       <form method="post" name="editcomment" id="editcomment" action="', $scripturl, '?action=announcements;sa=editcommentverify;id=' . $_REQUEST['id'] . '" onsubmit="submitonce(this);">
        <h3 class="catbg"><span class="left"></span><span class="right"></span>
		<center>', $txt['yagam_edit_comment'], '</center></h3>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">'; 
		// Showing BBC?
		if ($context['show_bbc'])
		{
			echo '
					<div id="bbcBox_message"></div>';
		}
	
		// What about smileys?
		if (!empty($context['smileys']['postform']) || !empty($context['smileys']['popup']))
			echo '
					<div id="smileyBox_message"></div>';
	
		// Show BBC buttons, smileys and textbox.
		echo '
					', template_control_richedit($context['post_box_name'], 'smileyBox_message', 'bbcBox_message');

    echo'<tr>
    <td width="28%" colspan="2"  align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $_REQUEST['id'] . '" />
        <input type="submit" value="' . $txt['yagam_edit_comment'] . '" name="submit" /></td>

       </tr>
         </table>
        </form>';
}

function template_admin_announcements()
{
       global $context, $txt, $scripturl, $settings;
	   
        echo '
	<form action="', $scripturl, '?action=announcements;sa=massive" method="post">
	<table cellspacing="0" cellpadding="10" border="0" align="center" width="85%" class="tborder">
				<tr class="titlebg">
				    <td align="center">',$txt['yagam_status'] ,'</td>
					<td>',$txt['yagam_title'] ,'</td>
					<td>',$txt['author'],'</td>
					<td align="right">',$txt['yagam_views'],'</td>
					<td align="center">',$txt['replies'],'</td>
					<td align="center">',$txt['yagam_date'],'</td>				
                    <td align="center">',$txt['yagam_options'],'</td>
					<td width="3%" align="center"><input type="checkbox" class="check" onclick="invertAll(this, this.form);" /></td>
				</tr>';
				
				$windowclass = 'windowbg2';
				if (!empty($context['announcements'])){
				foreach($context['announcements']  as $announcement)
				{
					echo '
					<tr class="',$windowclass,'">
					    <td align="center"><a href="'.$scripturl.'?action=announcements;sa=status;aid=',$announcement['id_announcement'],'" ' ,$announcement['enable'] == 1 ? 'onclick="return confirm(\''.$txt['yagam_status_verify_disable'].'\')"' : 'onclick="return confirm(\''.$txt['yagam_status_verify_enable'].'\')"', ' title="'.$txt['yagam_change_status'].'"><img src="'.$settings['images_url'].'/icons/package_' ,$announcement['enable'] == 1 ? 'installed' : 'old', '.gif" alt="">
						</td>  
						<td align="left"><a href="',$scripturl,'?action=announcements;aid=',$announcement['id_announcement'],'">',$announcement['title'], '</a><br />
						</td>
						<td align="left"><a href="'.$scripturl.'?action=profile;u=',$announcement['author'], '">',$announcement['real_name'], '</a></td>
						<td align="right">',$announcement['views'], '</td>
						<td align="center">',$announcement['comment_total'], '</td>
						<td align="center">',timeformat($announcement['date']), '</td>
						<td align="center"><a href="',$scripturl,'?action=announcements;sa=edit;aid=',$announcement['id_announcement'],'" title="'.$txt['yagam_edit'].'"><img src="'.$settings['images_url'].'/buttons/modify.gif" alt="',$txt['yagam_edit2'], '"></a>
						<a href="'.$scripturl.'?action=announcements;sa=deleteverify;aid=',$announcement['id_announcement'],'" onclick="return confirm(\''.$txt['yagam_remove_verify'].'\')" title="'.$txt['yagam_remove'].'"><img src="'.$settings['images_url'].'/buttons/delete.gif" alt="',$txt['yagam_remove2'], '"></a>
						<a href="'.$scripturl.'?action=announcements;sa=log;aid=',$announcement['id_announcement'],'" title="'.$txt['yagam_log'].'"><img src="'.$settings['images_url'].'/buttons/details.gif" alt="',$txt['yagam_log'], '"></a>
						<a href="'.$scripturl.'?action=announcements;sa=maketopic;aid=',$announcement['id_announcement'],'" title="'.$txt['make_topic'].'"><img src="'.$settings['images_url'].'/buttons/im_reply_all.gif" alt="',$txt['make_topic'], '"></a>
						</td>
						<td><input type="checkbox" name="remove_announcements[]" value="', $announcement['id_announcement'], '" class="check" /></td>
					</tr>';
					
					$windowclass = ($windowclass == 'windowbg') ? 'windowbg2' : 'windowbg';		
				}
				
				echo'<tr><td align="right" colspan="8"><input type="submit" name="send" class="button_submit" value="'.$txt['quick_mod_remove'].'" /></td></tr>';
				}
				else
				echo '<tr class="',$windowclass,'">
				<td align="center" colspan="8">'.$txt['yagam_no_announcement'].'</td>
				</tr>';

				echo '
				</table>
	</form>';  
}

function template_announcements_log()
{
   global $context, $settings, $options, $txt, $scripturl, $modSettings;
   
   echo '
    <div style="width: 50%; margin-left: auto; margin-right: auto;"><h3 class="catbg"><span class="left"></span><span class="right"></span>
	<center>', $txt['yagam_who'], '</center></h3></div>
		
   <table border="0" cellpadding="5" cellspacing="0" align="center" width="50%">     
	  <tr class="titlebg"><td>'.$txt['user'].'</td>
	  <td>'.$txt['position'].'</td>
	  <td>'.$txt['posts'].'</td>
	  </tr>';
	  
	$windowclass = "windowbg2"; 
	
	if (!empty($context['viewer'])){

   foreach($context['viewer'] as $viewer) {   
      echo '
      <tr class="', $windowclass, '">
         <td>', $viewer['member']['link'], '</td><td>'.$viewer['member']['group'].'</td><td>'.$viewer['member']['posts'].'</td>
      </tr>';
	  
    $windowclass = ($windowclass == 'windowbg') ? 'windowbg2' : 'windowbg';       
   }
   }
   
   echo '
   </table>';
}

function template_announcements_version()
{
	global $context, $txt, $modSettings, $forum_version;
	
	// Load the YAGAM Version
	$yagam_version = '2.7.3';

	echo '
	<h3 class="catbg" style="width: 50%; margin-left: auto; margin-right: auto;"><span class="left"><span></span></span><span class="right"><span></span></span> '.$txt['yagam_version'].'</h3>
	<div class="windowbg" style="width: 50%; margin-left: auto; margin-right: auto;">
	<span class="topslice"><span></span></span>
	<div class="content"><p>', $txt['yagam_current_version'], ': '.$yagam_version.'</p>
		<p>', $txt['yagam_latest_version'], ': <b><script language="JavaScript" type="text/javascript" src="http://www.smfpacks.com/versions/yagam_version.js"></script></b></p>
		<p>', $txt['yagam_smf_version'], ': ' . $forum_version . '</p>
		<p><a href="http://custom.simplemachines.org/mods/index.php?mod=1617">'.$txt['yagam_download'].'</a></p></div>
	<span class="botslice"><span></span></span>
	</div><br class="clear" />	
	<div class="windowbg2" style="width: 50%; margin-left: auto; margin-right: auto;">
	<span class="topslice"><span></span></span>
	<div class="content"><p><b>Developer & Creator:</b> NIBOGO</p>
		<p><b>Special Thanks:</b> Tango Icons Library</p>
		<p><b>Translators:</b> Spanish/Spanish Latin (NIBOGO)</p>
		<p>Has the YAGAM Mod helped you? Then support the developer:</p>
		<p align="center">
		<form name="_xclick" action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick" />
<input type="hidden" name="business" value="nibogo2@gmail.com" />
<input type="hidden" name="item_name" value="Donate YAGAM" />
<input type="hidden" name="currency_code" value="USD" />
<input type="image" src="http://www.paypal.com/es_XC/i/btn/btn_donate_LG.gif" name="submit" alt="Make Donation to YAGAM" />
</form></p>
    </div>
	<span class="botslice"><span></span></span>
	</div>';
	 
}

function template_announcements_maketopic()
{
	global $context, $txt, $modSettings, $scripturl;	

	echo '
	<form method="post" name="maketopic" id="maketopic" action="', $scripturl, '?action=announcements;sa=maketopicverify;aid='.$_REQUEST['aid'].'" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
		<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="catbg">
				<td colspan="2">'.$txt['make_topic'].'</td>
			</tr><tr class="windowbg2">
				<td><b>'.$txt['yagam_locktopic'].':</b></td>
				<td><input type="checkbox" name="locktopic" value="1" /></td>
			</tr><tr class="windowbg2">
				<td><b>'.$txt['yagam_stickytopic'].':</b></td>
				<td><input type="checkbox" name="stickytopic" value="1" /></td>
			</tr><tr class="windowbg2">
				<td><b>'.$txt['yagam_convert_comments'].':</b></td>
				<td><input type="checkbox" name="comments" value="1" /></td>
			</tr><tr class="windowbg2">
			<td width="15%"><b>'.$txt['yagam_board'].':</b><br /><span class="smalltext">'.$txt['yagam_board_desc'].'</span></td>
			<td width="85%">
			<select name="board" size="10" style="width: 55%;">';
							foreach ($context['jump_to'] as $category)
							{
								echo '
									<option disabled="disabled">----------------------------------------------------</option>
									<option disabled="disabled">', $category['name'], '</option>
									<option disabled="disabled">----------------------------------------------------</option>';
								foreach ($category['boards'] as $board)
									echo '
									<option value="' ,$board['id'], '" ' ,isset($context['preview_boards']) ? (in_array($board['id'], $context['preview_boards']) ? 'selected="selected"' : '') : '', '> ' . str_repeat('&nbsp;&nbsp;&nbsp; ', $board['child_level']) . '|--- ' . $board['name'] . '</option>';
							}
	echo '
								</select>
			</td></tr>
            <tr><td colspan="2" class="windowbg2" align="center">
	    <input type="hidden" name="sc" value="', $context['session_id'], '" />      	
		<input type="submit" name="addannouncement" value="',$txt['make_topic'],'" /></td>
	  </tr>  			
	  </table></div></form>';	 
}
?>
