<?php

/**********************************************************************************
* db_yagam.php                                                                    *                                                                        
***********************************************************************************
*                                                                                 *                                                                            
* YAGAM - Yet Another Global Announcements Mod                                    *                                    
* Copyright (c) 2009 by NIBOGO. All rights reserved.                              *                                       
* Powered by www.smfpacks.com                                                     *                                                     
* Created by NIBOGO for SMFPacks.com                                              *                                            
*                                                                                 *                                                          
**********************************************************************************/
    
	global $smcFunc, $context, $db_prefix;
	
	// Define the Manual Installation Status
    $manual_install = false;

    if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')){
	require_once(dirname(__FILE__) . '/SSI.php');
	$manual_install = true;
    }
    elseif (!defined('SMF'))
	die('The YAGAM installer wasn\'t able to connect to SMF! Make sure that you are either installing this via the Package Manager or the SSI.php file is in the same directory.');

    if ($manual_install)
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
	<title>YAGAM Database Installer</title>
     <link rel="stylesheet" type="text/css" href="Themes/default/css/index.css" />
</head>
<body>
	<br /><br />';	
	
	db_extend('packages');   
	
	$columns = array(
    array(
      'name' => 'id_announcement',
      'type' => 'int',
      'size' => '11',
      'null' => false,
	  'auto' => true
    ),    
    array(
      'name' => 'enable',
      'type' => 'tinyint',
      'size' => '1',
      'null' => true,
      'default' => '1'
    ),
	array(
      'name' => 'author',
      'type' => 'int',
      'null' => false
    ),
	array(
      'name' => 'can_comment',
      'type' => 'tinyint',
	  'size' => '1'
    ),
	array(
      'name' => 'date',
      'type' => 'int',
	  'size' => '10',
      'null' => false,
	  'default' => '0',
	  'unsigned' => true
    ),
	array(
      'name' => 'comment_total',
      'type' => 'int',
      'null' => false,
	  'default' => '0'
    ),
	array(
      'name' => 'title',
      'type' => 'tinytext',
      'null' => false
    ),
    array(
      'name' => 'content',
      'type' => 'text'
    ),
	array(
      'name' => 'views',
      'type' => 'int',
	  'size' => '10',
	  'null' => false,
	  'default' => '0'
    ),
	array(
      'name' => 'permissions',
      'type' => 'text'
    ),
	array(
      'name' => 'id_boards',
      'type' => 'text'
    ),
    );

    // Set up the correct indexes for the table.
    $indexes = array(
      array(
        'type' => 'primary',
        'columns' => array('id_announcement')
      ),
    ); 	
	  
	$smcFunc['db_create_table']('{db_prefix}announcements', $columns, $indexes);
	
	$tables[] = $db_prefix . 'announcements';

    // The Announcements_Comments Table
	$columns2 = array(
    array(
      'name' => 'id_comment',
      'type' => 'int',
      'size' => '11',
      'null' => false,
	  'auto' => true
    ),
    array(
      'name' => 'id_announcement',
      'type' => 'int',
      'size' => '11',
      'null' => true
    ),
    array(
      'name' => 'author',
      'type' => 'tinytext'
    ),
	array(
      'name' => 'comment_body',
      'type' => 'text'
    ),	
	array(
      'name' => 'date',
      'type' => 'int',
	  'size' => '10',
      'null' => false,
	  'default' => '0'
    ),
	array(
      'name' => 'last_modified',
      'type' => 'int',
	  'size' => '10',
      'null' => false,
	  'default' => '0'
    ),	
    );

    // Set up the correct indexes for the table.
    $indexes2 = array(
      array(
        'type' => 'primary',
        'columns' => array('id_comment')
      ),
    ); 
	  
	$smcFunc['db_create_table']('{db_prefix}announcements_comments', $columns2, $indexes2);
	
	// Maybe some people is updating from one of the first versions of YAGAM so Update!	
	$smcFunc['db_add_column'] ('{db_prefix}announcements_comments', array(
	'name' => 'modified_name',
	'type' => 'text',
	'null' => false
	));
			
    $tables[] = $db_prefix . 'announcements_comments';
	
    // The Announcements_Log Table
	$columns3 = array(
    array(
      'name' => 'id_member',
      'type' => 'int',
      'size' => '11',
      'null' => false
    ),
    array(
      'name' => 'id_announcement',
      'type' => 'int',
      'size' => '11',
      'null' => true
    ),
    );

    // Set up the correct indexes for the table.
    $indexes3 = array(
      array(
        'type' => 'primary',
        'columns' => array('id_member')
      ),
    ); 
	  
	$smcFunc['db_create_table']('{db_prefix}announcements_log', $columns3, $indexes3);
	$tables[] = $db_prefix . 'announcements_log';	  
	
	// OK, time to report, output all the stuff to be shown to the user
	if ($manual_install){
echo '
<div class="padding windowbg2" align="center" style="margin-right: auto; margin-left: auto; width: 800px;">
<h3 class="catbg"><span class="left"></span><span class="right"></span><b>YAGAM Database Installer</b></h3>
<table cellpadding="0" cellspacing="0" border="0" class="tborder" width="800" align="center"><tr><td>
<div style="padding: 2ex">
<b>Creating Tables:</b>
<br /><br />
<ul class="normallist">';
foreach ($tables as $table_name)
	echo '
	<li>'.$table_name.' table created.</li>';

echo '
<div style="padding-top:30px">
	<b>Your database update has been completed successfully!</b>
	<br /><br />The YAGAM Database was successfully installed.<br />
	Now you should go to the <a href="', $scripturl, '?action=admin;area=announcements;sa=admin;sesc=' . $context['session_id'] . '">YAGAM Admin Panel</a>.
	<br /><br />';

if ($manual_install && (is_writable(dirname(__FILE__)) || is_writable(__FILE__)))
	echo '
	<label for="delete_self"><input type="checkbox" id="delete_self" onclick="doTheDelete(this);" /> Delete this file.</label> <i>(doesn\'t work on all servers.)</i>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		function doTheDelete(theCheck)
		{
			var theImage = document.getElementById ? document.getElementById("delete_upgrader") : document.all.delete_upgrader;
			theImage.src = "', $_SERVER['PHP_SELF'], '?delete=1&ts_" + (new Date().getTime());
			theCheck.disabled = true;
		}
	// ]]></script>
	<img src="', $boardurl, '/Themes/default/images/blank.gif" alt="" id="delete_upgrader" />';

echo '
</div>
</div>
</body></html>';
    }
	
?>
